#ifndef IGNORES_HPP_INCLUDED
#define IGNORES_HPP_INCLUDED

#include "../../../Core/Classes/Ignore.hpp"
#include <functional>
#include <vector>

namespace Ignores
{
    bool IsOpen();
    bool Open();
    std::int32_t GetTabHotkey();
    std::vector<Internal::Ignore> GetAll();
    std::vector<Internal::Ignore> GetAll(const std::function<bool (Internal::Ignore&)>& Filter);
}

#endif // IGNORES_HPP_INCLUDED
